﻿#language: ru

Функционал: 02_milk_production. Заполнение справочника Номенклатура + Упаковки номенклатуры

Сценарий: 02_milk_production. Создание производителя
	Дано Я подключаюсь под "Администратор"
	И Я создаю производителя "Производитель"

Сценарий: 02_milk_production. Создание номенклатуры Российский 50%
	И Я начинаю создавать Номенклатуру "milk_prod_Российский 50%" с видом "milk_prod_Сыр" и типом "Сырье"
	И из выпадающего списка "Доп. ед. изм." я выбираю точное значение 'Одна'
	И я нажимаю кнопку выбора у поля "Ед. изм. 1"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И я перехожу к закладке "Дополнительно"
	И в поле 'Срок годности' я ввожу текст '50'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Потери
	И Я начинаю создавать Номенклатуру "milk_prod_Потери" с видом "milk_prod_Потери" и типом "Сырье"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Полная номенклатура
	И Я начинаю создавать Номенклатуру "milk_prod_Полная номенклатура" с видом "milk_prod_Полный вид" и типом "Готовая продукция"
	И из выпадающего списка "Доп. ед. изм." я выбираю точное значение 'Две'
	И я нажимаю кнопку выбора у поля "Ед. изм. 1"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Номенклатура (создание) *'
	И я нажимаю кнопку выбора у поля "Ед. изм. 1"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'KGM'                      | 'кг'           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Номенклатура (создание) *'
	И я нажимаю кнопку выбора у поля "Ед. изм. 2"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'NMP'                      | 'упак'         |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Номенклатура (создание) *'
	И я перехожу к закладке "Планирование"
	И я устанавливаю флаг 'Используется в планировании'
	И я нажимаю кнопку выбора у поля "Производитель"
	Тогда открылось окно 'Производители'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И я нажимаю кнопку выбора у поля "Бренд"
	Тогда открылось окно 'Бренды'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Бренд (создание)'
	И в поле 'Наименование' я ввожу текст 'Бренд'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Бренд (создание)' в течение 20 секунд
	Тогда открылось окно 'Бренды'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И я нажимаю кнопку выбора у поля "Товарная категория"
	Тогда открылось окно 'Товарные категории'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И я нажимаю кнопку выбора у поля "Сезонная группа"
	Тогда открылось окно 'Сезонные группы номенклатуры'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Сезонные группы номенклатуры (создание)'
	И в поле 'Наименование' я ввожу текст 'Сезонная'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сезонные группы номенклатуры (создание)' в течение 20 секунд
	Тогда открылось окно 'Сезонные группы номенклатуры'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И я нажимаю кнопку выбора у поля "Склад выпуска"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     		   |
		| 'milk_prod_Склад с ячейками' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И я перехожу к закладке "Дополнительно"
	И в поле 'Срок годности' я ввожу текст '12'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Закваска
	И Я начинаю создавать Номенклатуру "milk_prod_Закваска" с видом "milk_prod_Материалы " и типом "Сырье"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Пакет
	И Я начинаю создавать Номенклатуру "milk_prod_Пакет " с видом "milk_prod_Упаковка для сыра" и типом "Упаковка"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Смесь 50%
	И Я начинаю создавать Номенклатуру "milk_prod_Смесь 50%" с видом "milk_prod_Смеси" и типом "Сырье"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Молочное сырье
	И Я начинаю создавать Номенклатуру "milk_prod_Молоко" с видом "milk_prod_Молочное сырье" и типом "Сырье"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Сырная крошка
	И Я начинаю создавать Номенклатуру "milk_prod_Сырная крошка" с видом "milk_prod_Полуфабрикаты" и типом "Сырье"
	И из выпадающего списка "Доп. ед. изм." я выбираю точное значение 'Одна'
	И я нажимаю кнопку выбора у поля "Ед. изм. 1"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Сливки
	И Я начинаю создавать Номенклатуру "milk_prod_Сливки" с видом "milk_prod_Полуфабрикаты" и типом "Сырье"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Смесь 45%
	И Я начинаю создавать Номенклатуру "milk_prod_Смесь 45%" с видом "milk_prod_Смеси" и типом "Сырье"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Короб
	И Я начинаю создавать Номенклатуру "milk_prod_Короб" с видом "milk_prod_Короба" и типом "Упаковка"
	И я нажимаю кнопку выбора у поля "Единица хранения"
	Тогда открылось окно "Выберите единицу измерения"
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'шт'		 |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Сливочный 45%
	И Я начинаю создавать Номенклатуру "milk_prod_Сливочный 45%" с видом "milk_prod_Сыр" и типом "Сырье"
	И я устанавливаю флаг 'Упаковки'
	И из выпадающего списка "Доп. ед. изм." я выбираю точное значение 'Одна'
	И я нажимаю кнопку выбора у поля "Ед. изм. 1"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я выбираю картинку "Сливочный.jpg" для новой номенклатуры
	И я перехожу к закладке "Дополнительно"
	И из выпадающего списка "Ставка НДС" я выбираю точное значение '0%'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Диетический 35%
	И Я начинаю создавать Номенклатуру "milk_prod_Диетический 35%" с видом "milk_prod_Сыр" и типом "Сырье"
	И из выпадающего списка "Доп. ед. изм." я выбираю точное значение 'Одна'
	И я нажимаю кнопку выбора у поля "Ед. изм. 1"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Смесь 35%
	И Я начинаю создавать Номенклатуру "milk_prod_Смесь 35%" с видом "milk_prod_Смеси" и типом "Сырье"
	И из выпадающего списка "Доп. ед. изм." я выбираю точное значение 'Одна'
	И я нажимаю кнопку выбора у поля "Ед. изм. 1"
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку 'Подобрать из классификатора'
	Тогда открылось окно 'Классификатор единиц измерения'
	И в таблице "ДеревоКлассификатора" я перехожу к строке:
		| 'Выбран' | 'Знаменатель' | 'Код числовой' | 'Международное' | 'Наименование'               | 'Национальное' | 'Числитель' |
		| 'Нет'    | '1 000,000'   | '112'          | 'l (L)\ndm3'    | 'Литр (Кубический дециметр)' | 'л (дм3)'      | '1,000'     |
	И в таблице "ДеревоКлассификатора" я устанавливаю флаг 'Выбран'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'LTR'                      | 'л (дм3)'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Сливочный 45% ГП без доп.единиц
	И Я начинаю создавать Номенклатуру "milk_prod_Сливочный 45% ГП" с видом "milk_prod_Сыр ГП" и типом "Сырье"
	И я перехожу к закладке "Дополнительно"
	И в поле 'Срок годности' я ввожу текст '25'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Сыворотка
	И Я начинаю создавать Номенклатуру "milk_prod_Сыворотка" с видом "milk_prod_Полуфабрикаты" и типом "Сырье"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Пакет 2
	И Я начинаю создавать Номенклатуру "milk_prod_Пакет 2" с видом "milk_prod_Упаковка для сыра" и типом "Упаковка"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Короб 150х200
	И Я начинаю создавать Номенклатуру "milk_prod_Короб 150х200" с видом "milk_prod_Упаковка для сыра" и типом "Упаковка"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Ароматизатор 13456
	И Я начинаю создавать Номенклатуру "milk_prod_Ароматизатор 13456" с видом "milk_prod_Материалы с сериями" и типом "Сырье"
	И я нажимаю кнопку выбора у поля "Единица хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Ароматизатор масло
	И Я начинаю создавать Номенклатуру "milk_prod_Ароматизатор Масло 16256 (масло)" с видом "milk_prod_Материалы с сериями" и типом "Сырье"
	И я нажимаю кнопку выбора у поля "Единица хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'NMP'                      | 'упак'         |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Ароматизатор Топленое молоко
	И Я начинаю создавать Номенклатуру "milk_prod_Ароматизатор Топленое молоко 675995 сыр" с видом "milk_prod_Материалы с сериями" и типом "Сырье"
	И я нажимаю кнопку выбора у поля "Единица хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'NMP'                      | 'упак'         |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Закваска Ceska L 100
	И Я начинаю создавать Номенклатуру "milk_prod_Закваска Ceska L 100" с видом "milk_prod_Материалы с сериями" и типом "Сырье"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Краситель Бета-каротин
	И Я начинаю создавать Номенклатуру "milk_prod_Краситель Бета-каротин FS 30%" с видом "milk_prod_Материалы с сериями" и типом "Сырье"
	И я нажимаю кнопку выбора у поля "Единица хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Пошехонский 45%
	И Я начинаю создавать Номенклатуру "milk_prod_Пошехонский 45%" с видом "milk_prod_Сыр" и типом "Сырье"
	И я устанавливаю флаг 'Упаковки'
	И из выпадающего списка "Доп. ед. изм." я выбираю точное значение 'Одна'
	И я нажимаю кнопку выбора у поля "Ед. изм. 1"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И я перехожу к закладке "Дополнительно"
	И из выпадающего списка "Ставка НДС" я выбираю точное значение '0%'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Мраморный 50%
	И Я начинаю создавать Номенклатуру 'milk_prod_Мраморный 50%' с видом "milk_prod_Сыр" и типом "Сырье"
	И я устанавливаю флаг 'Упаковки'
	И из выпадающего списка "Доп. ед. изм." я выбираю точное значение 'Одна'
	И я нажимаю кнопку выбора у поля "Ед. изм. 1"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И я перехожу к закладке "Дополнительно"
	И из выпадающего списка "Ставка НДС" я выбираю точное значение '0%'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Обрат
	И Я начинаю создавать Номенклатуру 'milk_prod_Обрат' с видом "milk_prod_Полуфабрикаты" и типом "Сырье"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры Бактериальный концентрат
	И Я начинаю создавать Номенклатуру 'milk_prod_БАКТЕРИАЛЬНЫЙ КОНЦЕНТРАТ БК-УГЛИЧ-№4 производственная' с видом "milk_prod_Закваски, красители и пр." и типом "Сырье"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры БК-углич
	И Я начинаю создавать Номенклатуру 'milk_prod_БК-УГЛИЧ-№4' с видом "milk_prod_Закваски, красители и пр." и типом "Сырье"
	И я нажимаю кнопку выбора у поля "Единица хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'шт'           |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Доп.реквизиты
	И В командном интерфейсе я выбираю 'Администрирование' 'Общие настройки'
	Тогда открылось окно 'Общие настройки'
	И я разворачиваю группу "Дополнительные реквизиты и сведения"
	И я устанавливаю флаг 'Дополнительные реквизиты и сведения'
	И Я закрываю окно 'Общие настройки'
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                  |
		| 'milk_prod_Полная номенклатура' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Полная номенклатура (Номенклатура)'
	И Я закрываю окно 'milk_prod_Полная номенклатура (Номенклатура)'
	Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'
	И В командном интерфейсе я выбираю 'Администрирование' 'Общие настройки'
	Тогда открылось окно 'Общие настройки'
	И я разворачиваю группу "Дополнительные реквизиты и сведения"
	И я снимаю флаг 'Дополнительные реквизиты и сведения'
	И Я закрываю окно 'Общие настройки'
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                  |
		| 'milk_prod_Полная номенклатура' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Полная номенклатура (Номенклатура)'
	И Я закрываю окно 'milk_prod_Полная номенклатура (Номенклатура)'
	Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'

Сценарий: 02_milk_production. Создание номенклатуры Гауда 45%
	И Я начинаю создавать Номенклатуру "milk_prod_Гауда 45%" с видом "milk_prod_Сыр" и типом "Сырье"
	И из выпадающего списка "Доп. ед. изм." я выбираю точное значение 'Одна'
	И я нажимаю кнопку выбора у поля "Ед. изм. 1"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Номенклатура (создание) *'
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры нормализованных сливок
	И Я начинаю создавать Номенклатуру "milk_prod_Сливки нормализованные" с видом "milk_prod_Полуфабрикаты" и типом "Сырье"
	И Я заканчиваю создавать Номенклатуру

Сценарий: 02_milk_production. Создание номенклатуры масла
	И Я начинаю создавать Номенклатуру "milk_prod_Масло" с видом "milk_prod_Полуфабрикаты" и типом "Сырье"
	И Я заканчиваю создавать Номенклатуру